Index: trunk/autoquest-plugin-uml-test/src/test/resources/ita_model.uml
===================================================================
--- trunk/autoquest-plugin-uml-test/src/test/resources/ita_model.uml	(revision 1927)
+++ trunk/autoquest-plugin-uml-test/src/test/resources/ita_model.uml	(revision 1931)
@@ -10,23 +10,23 @@
     </packageImport>
     <packagedElement xmi:type="uml:Interface" xmi:id="__m-9kLELEeSnYZTmeJXZKg" name="PointOfSaleInterface">
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_NrKC8LEMEeSnYZTmeJXZKg" name="purchaseOrderConfirmation">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_NrKC8LEMEeSnYZTmeJXZKg" name="purchaseOrderConfirmationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_ov6xYMZjEeSM37Q-L6-vug" name="purchaseOrderConfirmationXML" type="_zUagUMZiEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_vgWjYMZjEeSM37Q-L6-vug" name="finalPurchaseOrderStatusNotification">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_vgWjYMZjEeSM37Q-L6-vug" name="finalPurchaseOrderStatusNotificationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_yh9TMMZjEeSM37Q-L6-vug" name="finalPurchaseOrderNotificationXML" type="_zUagUMZiEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_0vorsMZjEeSM37Q-L6-vug" name="instrutionToReceive">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_0vorsMZjEeSM37Q-L6-vug" name="instrutionToReceiveRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_26sOAMZjEeSM37Q-L6-vug" name="warehousingInboundInstructionXML" type="_BKBlQMZjEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_5DzPkMZjEeSM37Q-L6-vug" name="dropOffRequest">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_5DzPkMZjEeSM37Q-L6-vug" name="dropOffRequestRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_7KdaEMZjEeSM37Q-L6-vug" name="transportPickUpDropOffRequestXML" type="_J2tokMZjEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_8tvxwMZjEeSM37Q-L6-vug" name="depatchNotificationInbound">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_8tvxwMZjEeSM37Q-L6-vug" name="depatchNotificationInboundRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="__QcYAMZjEeSM37Q-L6-vug" name="despatchAdviceXML" type="_52mp4MGfEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_BAs0sMZkEeSM37Q-L6-vug" name="inboudDeliveryStatus">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_BAs0sMZkEeSM37Q-L6-vug" name="inboudDeliveryStatusRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_DKsnEMZkEeSM37Q-L6-vug" name="receivingAdviceXML" type="_byn0gMZjEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_E_lsIMZkEeSM37Q-L6-vug" name="productSold">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_E_lsIMZkEeSM37Q-L6-vug" name="productSoldRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_HQvPYMZkEeSM37Q-L6-vug" name="idProduct">
           <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
@@ -38,40 +38,40 @@
     </packagedElement>
     <packagedElement xmi:type="uml:Interface" xmi:id="_v3NckLEMEeSnYZTmeJXZKg" name="WarehouseInterface">
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_MJZf0LENEeSnYZTmeJXZKg" name="instrutionToReceive">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_MJZf0LENEeSnYZTmeJXZKg" name="instrutionToReceiveRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_1yASMMZkEeSM37Q-L6-vug" name="warehousingInboundInstructionXML" type="_BKBlQMZjEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_59PjkMZkEeSM37Q-L6-vug" name="depatchNotificationInbound">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_59PjkMZkEeSM37Q-L6-vug" name="depatchNotificationInboundRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_8A3BIMZkEeSM37Q-L6-vug" name="despatchAdviceXML" type="_52mp4MGfEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_9owMAMZkEeSM37Q-L6-vug" name="inboudDeliveryStatus">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_9owMAMZkEeSM37Q-L6-vug" name="inboudDeliveryStatusRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="__8kowMZkEeSM37Q-L6-vug" name="receivingAdviceXML" type="_byn0gMZjEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_Bcs-wMZlEeSM37Q-L6-vug" name="outboundDeliveryStatus">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_Bcs-wMZlEeSM37Q-L6-vug" name="outboundDeliveryStatusRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_DqPNUMZlEeSM37Q-L6-vug" name="warehousingOutboundNotificationXML" type="_S6YMAMZkEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_Fpvm8MZlEeSM37Q-L6-vug" name="inventoryStatusInstruction">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_Fpvm8MZlEeSM37Q-L6-vug" name="inventoryStatusInstructionRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_H0BtMMZlEeSM37Q-L6-vug" name="inventoryReportStatusXML" type="_a0lCcMZkEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_JqanEMZlEeSM37Q-L6-vug" name="receiptNotificationOutBound">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_JqanEMZlEeSM37Q-L6-vug" name="receiptNotificationOutBoundRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_L4tDkMZlEeSM37Q-L6-vug" name="receivingAdviceXML" type="_VuelIMGfEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_NFql8MZlEeSM37Q-L6-vug" name="instructionToDespatch">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_NFql8MZlEeSM37Q-L6-vug" name="instructionToDespatchRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_PDEt0MZlEeSM37Q-L6-vug" name="warehousingOutboundInstructionXML" type="_gxWi4MZkEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_QhrZ0MZlEeSM37Q-L6-vug" name="pickUpRequest">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_QhrZ0MZlEeSM37Q-L6-vug" name="pickUpRequestRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_TIxX4MZlEeSM37Q-L6-vug" name="transportPickUpDropOffRequestXML" type="_J2tokMZjEeSM37Q-L6-vug"/>
       </ownedOperation>
     </packagedElement>
     <packagedElement xmi:type="uml:Interface" xmi:id="_wimi8LEMEeSnYZTmeJXZKg" name="TransportInterface">
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_CMyFsLENEeSnYZTmeJXZKg" name="dropOffConfirmation">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_CMyFsLENEeSnYZTmeJXZKg" name="dropOffConfirmationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_G9ATcLENEeSnYZTmeJXZKg" name="TransportPickUpDropOffConfirmationXML" type="_udxaIMZlEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_OQV-MLENEeSnYZTmeJXZKg" name="pickUpConfirmation">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_OQV-MLENEeSnYZTmeJXZKg" name="pickUpConfirmationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_OQV-MbENEeSnYZTmeJXZKg" name="transportPickUpDropOffConfirmationXML" type="_udxaIMZlEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_YGXBELENEeSnYZTmeJXZKg" name="transportInstruction">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_YGXBELENEeSnYZTmeJXZKg" name="transportInstructionRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_bH9J0LENEeSnYZTmeJXZKg" name="transportInstructionXML" type="_lF2ogMZlEeSM37Q-L6-vug"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_7U8ykMcCEeSZe4KIZH8Y5w" name="transportStatusRequest">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_7U8ykMcCEeSZe4KIZH8Y5w" name="transportStatusRequestRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_-h5PsMcCEeSZe4KIZH8Y5w" name="transportStatusRequestXML" type="_2q8P4MZlEeSM37Q-L6-vug"/>
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_BaVccMcDEeSZe4KIZH8Y5w" name="TransportStatusResponse" type="_mYGNUMGgEeSgpOzAzVFJPA" direction="out"/>
@@ -79,23 +79,23 @@
     </packagedElement>
     <packagedElement xmi:type="uml:Interface" xmi:id="_xI2DkLEMEeSnYZTmeJXZKg" name="MaterialSupplierInterface">
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_zLZgsMGgEeSgpOzAzVFJPA" name="receiptNotificationInbound">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_zLZgsMGgEeSgpOzAzVFJPA" name="receiptNotificationInboundRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_8bhBMMGgEeSgpOzAzVFJPA" name="receivingAdviceXML" type="_VuelIMGfEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_AgddUMGhEeSgpOzAzVFJPA" name="inventoryReport">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_AgddUMGhEeSgpOzAzVFJPA" name="inventoryReportRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_Dzy2UMGhEeSgpOzAzVFJPA" name="inventoryActivityXML" type="_w4wlIMGfEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_FHJUkMGhEeSgpOzAzVFJPA" name="despatchNotificationOutbound">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_FHJUkMGhEeSgpOzAzVFJPA" name="despatchNotificationOutboundRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_IEQl8MGhEeSgpOzAzVFJPA" name="DespatchAdviceXML" type="_52mp4MGfEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_JZ_p0MGhEeSgpOzAzVFJPA" name="purchaseOrder">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_JZ_p0MGhEeSgpOzAzVFJPA" name="purchaseOrderRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_MQ0F8MGhEeSgpOzAzVFJPA" name="purchaseOrderXML" type="_YsJasMGgEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_Nt_OkMGhEeSgpOzAzVFJPA" name="transportInstructionConfirmation">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_Nt_OkMGhEeSgpOzAzVFJPA" name="transportInstructionConfirmationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_QGq9MMGhEeSgpOzAzVFJPA" name="transportInstructionResponseXML" type="_ePz3kMGgEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_RnLtsMGhEeSgpOzAzVFJPA" name="transporStatusNotification">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_RnLtsMGhEeSgpOzAzVFJPA" name="transporStatusNotificationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_UFNPUMGhEeSgpOzAzVFJPA" name="transportStatusNotificationXML" type="_mYGNUMGgEeSgpOzAzVFJPA"/>
       </ownedOperation>
-      <ownedOperation xmi:type="uml:Operation" xmi:id="_Wr1TUMGhEeSgpOzAzVFJPA" name="finalTransportStatusNotification">
+      <ownedOperation xmi:type="uml:Operation" xmi:id="_Wr1TUMGhEeSgpOzAzVFJPA" name="finalTransportStatusNotificationRequest">
         <ownedParameter xmi:type="uml:Parameter" xmi:id="_ZCawMMGhEeSgpOzAzVFJPA" name="transportStatusNotificationXML" type="_mYGNUMGgEeSgpOzAzVFJPA"/>
       </ownedOperation>
@@ -221,19 +221,118 @@
       </region>
     </packagedElement>
-    <packagedElement xmi:type="uml:Interaction" xmi:id="_-N0LILHPEeS0dumc9hw2vw" name="Transport">
-      <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_mr5HEMcGEeSZe4KIZH8Y5w" name="MessageSendTransportInstruction" message="_mrUfUMcGEeSZe4KIZH8Y5w"/>
-      <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_mr5HEccGEeSZe4KIZH8Y5w" name="MessageRecvTransportInstruction" message="_mrUfUMcGEeSZe4KIZH8Y5w"/>
-      <fragment xmi:type="uml:CombinedFragment" xmi:id="_7POBMMcGEeSZe4KIZH8Y5w" name="isAccepted" covered="_Fd7iwLHQEeS0dumc9hw2vw _M52hwLHQEeS0dumc9hw2vw" interactionOperator="alt">
-        <operand xmi:type="uml:InteractionOperand" xmi:id="_7Pyo8McGEeSZe4KIZH8Y5w" name="InteractionOperand" covered="_Fd7iwLHQEeS0dumc9hw2vw _M52hwLHQEeS0dumc9hw2vw">
-          <guard xmi:type="uml:InteractionConstraint" xmi:id="_7P-2MMcGEeSZe4KIZH8Y5w" name="">
-            <specification xmi:type="uml:LiteralString" xmi:id="_7P-2MccGEeSZe4KIZH8Y5w" value="undefined"/>
-            <maxint xmi:type="uml:LiteralInteger" xmi:id="_7P-2M8cGEeSZe4KIZH8Y5w" value="1"/>
-            <minint xmi:type="uml:LiteralInteger" xmi:id="_7P-2MscGEeSZe4KIZH8Y5w"/>
+    <packagedElement xmi:type="uml:Interaction" xmi:id="_-N0LILHPEeS0dumc9hw2vw" name="OrderAndDelivery">
+      <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_6TG_Ic1lEeSGIJvkDQlGlw" name="MessageSendPurchaseOrder" message="_6TG_IM1lEeSGIJvkDQlGlw"/>
+      <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_6TG_Is1lEeSGIJvkDQlGlw" name="MessageRecvPurchaseOrder" message="_6TG_IM1lEeSGIJvkDQlGlw"/>
+      <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_GQNN0c1nEeSGIJvkDQlGlw" name="MessageSendPurchaseOrderConfirmation" message="_GQNN0M1nEeSGIJvkDQlGlw"/>
+      <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_GQNN0s1nEeSGIJvkDQlGlw" name="MessageRecvPurchaseOrderConfirmation" message="_GQNN0M1nEeSGIJvkDQlGlw"/>
+      <fragment xmi:type="uml:CombinedFragment" xmi:id="_jeTfsM1nEeSGIJvkDQlGlw" name="CombinedFragmentOrderAccepted" covered="_Fd7iwLHQEeS0dumc9hw2vw _a8dFUM1lEeSGIJvkDQlGlw _M52hwLHQEeS0dumc9hw2vw _q_-MQM1lEeSGIJvkDQlGlw" interactionOperator="alt">
+        <ownedComment xmi:type="uml:Comment" xmi:id="_DBQJEM1oEeSGIJvkDQlGlw" annotatedElement="_jeTfsM1nEeSGIJvkDQlGlw">
+          <body>If purchaseOrderConfirmation.accepted</body>
+        </ownedComment>
+        <operand xmi:type="uml:InteractionOperand" xmi:id="_jeTfsc1nEeSGIJvkDQlGlw" name="InteractionOperand" covered="_Fd7iwLHQEeS0dumc9hw2vw _a8dFUM1lEeSGIJvkDQlGlw _M52hwLHQEeS0dumc9hw2vw _q_-MQM1lEeSGIJvkDQlGlw">
+          <guard xmi:type="uml:InteractionConstraint" xmi:id="_6Fo48M1nEeSGIJvkDQlGlw" name="isOrderAccepted">
+            <ownedComment xmi:type="uml:Comment" xmi:id="__1cUYM1nEeSGIJvkDQlGlw" annotatedElement="_6Fo48M1nEeSGIJvkDQlGlw">
+              <body>If purchaseOrderConfirmation.accepted</body>
+            </ownedComment>
+            <specification xmi:type="uml:LiteralBoolean" xmi:id="_6Fo48c1nEeSGIJvkDQlGlw" name="isOrderAccepted" value="true"/>
           </guard>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_LDBAEc1oEeSGIJvkDQlGlw" name="MessageSendInstructionToReceive" message="_LDBAEM1oEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_LDBAEs1oEeSGIJvkDQlGlw" name="MessageRecvInstructionToReceive" message="_LDBAEM1oEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:CombinedFragment" xmi:id="_Syi3kM1oEeSGIJvkDQlGlw" name="CombinedFragmentFillInWarehouse" covered="_Fd7iwLHQEeS0dumc9hw2vw _a8dFUM1lEeSGIJvkDQlGlw" interactionOperator="loop">
+            <ownedComment xmi:type="uml:Comment" xmi:id="_fJC6MM1oEeSGIJvkDQlGlw" annotatedElement="_Syi3kM1oEeSGIJvkDQlGlw">
+              <body>while the sum of quantity from receiptNotificationInbound &lt; quantity in instructionToReceive</body>
+            </ownedComment>
+            <operand xmi:type="uml:InteractionOperand" xmi:id="_Syi3kc1oEeSGIJvkDQlGlw" name="InteractionOperand" covered="_Fd7iwLHQEeS0dumc9hw2vw _a8dFUM1lEeSGIJvkDQlGlw">
+              <guard xmi:type="uml:InteractionConstraint" xmi:id="_Syo-MM1oEeSGIJvkDQlGlw">
+                <specification xmi:type="uml:LiteralString" xmi:id="_Syo-Mc1oEeSGIJvkDQlGlw" value="undefined"/>
+                <maxint xmi:type="uml:LiteralInteger" xmi:id="_Syo-M81oEeSGIJvkDQlGlw" value="1"/>
+                <minint xmi:type="uml:LiteralInteger" xmi:id="_Syo-Ms1oEeSGIJvkDQlGlw"/>
+              </guard>
+              <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_xE1KUc1oEeSGIJvkDQlGlw" name="MessageSendDespatchNotificationInbound" message="_xE1KUM1oEeSGIJvkDQlGlw"/>
+              <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_xE7Q8M1oEeSGIJvkDQlGlw" name="MessageRecvDespatchNotificationInbound" message="_xE1KUM1oEeSGIJvkDQlGlw"/>
+              <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_46dp0M1oEeSGIJvkDQlGlw" name="MessageSendReceiptNotificationInbound" message="_46XjMM1oEeSGIJvkDQlGlw"/>
+              <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_46dp0c1oEeSGIJvkDQlGlw" name="MessageRecvReceiptNotificationInbound" message="_46XjMM1oEeSGIJvkDQlGlw"/>
+            </operand>
+          </fragment>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_Jqt68c1pEeSGIJvkDQlGlw" name="MessageSendTransportInstruction" message="_Jqt68M1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_Jq6IMM1pEeSGIJvkDQlGlw" name="MessageRecvTransportInstruction" message="_Jqt68M1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_Q8ffcc1pEeSGIJvkDQlGlw" name="MessageSendTransportInstructionConfirmation" message="_Q8ffcM1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_Q8ffcs1pEeSGIJvkDQlGlw" name="MessageRecvTransportInstructionConfirmation" message="_Q8ffcM1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_YwWdUc1pEeSGIJvkDQlGlw" name="MessageSendInstructionToDespatch" message="_YwWdUM1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_YwWdUs1pEeSGIJvkDQlGlw" name="MessageRecvInstructionToDespatch" message="_YwWdUM1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_kvbecc1pEeSGIJvkDQlGlw" name="MessageSendInstructionToReceive" message="_kvbecM1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_kvhlEM1pEeSGIJvkDQlGlw" name="MessageRecvInstructionToReceive" message="_kvbecM1pEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:CombinedFragment" xmi:id="_u4tbkM1pEeSGIJvkDQlGlw" name="CombinedFragmentTransportation" covered="_a8dFUM1lEeSGIJvkDQlGlw _M52hwLHQEeS0dumc9hw2vw _q_-MQM1lEeSGIJvkDQlGlw" interactionOperator="par">
+            <operand xmi:type="uml:InteractionOperand" xmi:id="_u4tbkc1pEeSGIJvkDQlGlw" name="InteractionOperand" covered="_a8dFUM1lEeSGIJvkDQlGlw _M52hwLHQEeS0dumc9hw2vw _q_-MQM1lEeSGIJvkDQlGlw">
+              <guard xmi:type="uml:InteractionConstraint" xmi:id="_u4tbks1pEeSGIJvkDQlGlw">
+                <specification xmi:type="uml:LiteralString" xmi:id="_u4tbk81pEeSGIJvkDQlGlw" value="undefined"/>
+                <maxint xmi:type="uml:LiteralInteger" xmi:id="_u4tblc1pEeSGIJvkDQlGlw" value="1"/>
+                <minint xmi:type="uml:LiteralInteger" xmi:id="_u4tblM1pEeSGIJvkDQlGlw"/>
+              </guard>
+              <fragment xmi:type="uml:CombinedFragment" xmi:id="_x1WL0M1pEeSGIJvkDQlGlw" name="CombinedFragmentPickUp" covered="_a8dFUM1lEeSGIJvkDQlGlw _M52hwLHQEeS0dumc9hw2vw" interactionOperator="loop">
+                <operand xmi:type="uml:InteractionOperand" xmi:id="_x1WL0c1pEeSGIJvkDQlGlw" name="InteractionOperand" covered="_a8dFUM1lEeSGIJvkDQlGlw _M52hwLHQEeS0dumc9hw2vw">
+                  <guard xmi:type="uml:InteractionConstraint" xmi:id="_x1WL0s1pEeSGIJvkDQlGlw">
+                    <specification xmi:type="uml:LiteralString" xmi:id="_x1WL081pEeSGIJvkDQlGlw" value="undefined"/>
+                    <maxint xmi:type="uml:LiteralInteger" xmi:id="_x1WL1c1pEeSGIJvkDQlGlw" value="1"/>
+                    <minint xmi:type="uml:LiteralInteger" xmi:id="_x1WL1M1pEeSGIJvkDQlGlw"/>
+                  </guard>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_7VaM0c1pEeSGIJvkDQlGlw" name="MessageSendPickUpRequest" message="_7VaM0M1pEeSGIJvkDQlGlw"/>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_7VaM0s1pEeSGIJvkDQlGlw" name="MessageRecvPickUpRequest" message="_7VaM0M1pEeSGIJvkDQlGlw"/>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_DUBpMc1qEeSGIJvkDQlGlw" name="MessageSendPickUpConfirmation" message="_DUBpMM1qEeSGIJvkDQlGlw"/>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_DUBpMs1qEeSGIJvkDQlGlw" name="MessageRecvPickUpConfirmation" message="_DUBpMM1qEeSGIJvkDQlGlw"/>
+                </operand>
+              </fragment>
+              <fragment xmi:type="uml:CombinedFragment" xmi:id="_2ia-8M1pEeSGIJvkDQlGlw" name="CombinedFragmentDropOff" covered="_M52hwLHQEeS0dumc9hw2vw _q_-MQM1lEeSGIJvkDQlGlw" interactionOperator="loop">
+                <operand xmi:type="uml:InteractionOperand" xmi:id="_2ia-8c1pEeSGIJvkDQlGlw" name="InteractionOperand" covered="_M52hwLHQEeS0dumc9hw2vw _q_-MQM1lEeSGIJvkDQlGlw">
+                  <guard xmi:type="uml:InteractionConstraint" xmi:id="_2ia-8s1pEeSGIJvkDQlGlw">
+                    <specification xmi:type="uml:LiteralString" xmi:id="_2ia-881pEeSGIJvkDQlGlw" value="undefined"/>
+                    <maxint xmi:type="uml:LiteralInteger" xmi:id="_2ia-9c1pEeSGIJvkDQlGlw" value="1"/>
+                    <minint xmi:type="uml:LiteralInteger" xmi:id="_2ia-9M1pEeSGIJvkDQlGlw"/>
+                  </guard>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_PryQEc1qEeSGIJvkDQlGlw" name="MessageSendDropOffRequest" message="_PryQEM1qEeSGIJvkDQlGlw"/>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_PryQEs1qEeSGIJvkDQlGlw" name="MessageRecvDropOffRequest" message="_PryQEM1qEeSGIJvkDQlGlw"/>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_ZfNR8c1qEeSGIJvkDQlGlw" name="MessageSendDropOffConfirmation" message="_ZfNR8M1qEeSGIJvkDQlGlw"/>
+                  <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_ZfNR8s1qEeSGIJvkDQlGlw" name="MessageRecvDropOffConfirmation" message="_ZfNR8M1qEeSGIJvkDQlGlw"/>
+                </operand>
+              </fragment>
+            </operand>
+          </fragment>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_jELBEc1qEeSGIJvkDQlGlw" name="MessageSendDespatchNotificationOutbound" message="_jELBEM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_jELBEs1qEeSGIJvkDQlGlw" name="MessageRecvDespatchNotificationOutbound" message="_jELBEM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_rkjGsc1qEeSGIJvkDQlGlw" name="MessageSendDespatchNotificationInbound" message="_rkjGsM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_rkjGss1qEeSGIJvkDQlGlw" name="MessageRecvDespatchNotificationInbound" message="_rkjGsM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_0BIRcc1qEeSGIJvkDQlGlw" name="MessageSendReceiptNotificationOutbound" message="_0BIRcM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_0BIRcs1qEeSGIJvkDQlGlw" name="MessageRecvReceiptNotificationOutbound" message="_0BIRcM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_9Aq_Uc1qEeSGIJvkDQlGlw" name="MessageSendReceiptNotificationInbound" message="_9Aq_UM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_9Aq_Us1qEeSGIJvkDQlGlw" name="MessageRecvReceiptNotificationInbound" message="_9Aq_UM1qEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_EpFiMc1rEeSGIJvkDQlGlw" name="MessageSendFinalTransportSatusNotification" message="_EpFiMM1rEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_EpLo0M1rEeSGIJvkDQlGlw" name="MessageRecvFinalTransportSatusNotification" message="_EpFiMM1rEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_M29ikc1rEeSGIJvkDQlGlw" name="MessageSendFinalOrderStatusNotification" message="_M29ikM1rEeSGIJvkDQlGlw"/>
+          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_M29iks1rEeSGIJvkDQlGlw" name="MessageRecvFinalOrderStatusNotification" message="_M29ikM1rEeSGIJvkDQlGlw"/>
         </operand>
       </fragment>
-      <lifeline xmi:type="uml:Lifeline" xmi:id="_Fd7iwLHQEeS0dumc9hw2vw" name="LifelineMaterialSupplier" represents="_LGETMLEQEeSnYZTmeJXZKg" coveredBy="_7POBMMcGEeSZe4KIZH8Y5w _7Pyo8McGEeSZe4KIZH8Y5w"/>
-      <lifeline xmi:type="uml:Lifeline" xmi:id="_M52hwLHQEeS0dumc9hw2vw" name="LifelineTransport" represents="_944gMLEPEeSnYZTmeJXZKg" coveredBy="_7POBMMcGEeSZe4KIZH8Y5w _7Pyo8McGEeSZe4KIZH8Y5w"/>
-      <message xmi:type="uml:Message" xmi:id="_mrUfUMcGEeSZe4KIZH8Y5w" name="TransportInstruction" connector="_ZMBvALEVEeSnYZTmeJXZKg" messageSort="asynchCall" receiveEvent="_mr5HEccGEeSZe4KIZH8Y5w" sendEvent="_mr5HEMcGEeSZe4KIZH8Y5w" signature="_YGXBELENEeSnYZTmeJXZKg"/>
+      <lifeline xmi:type="uml:Lifeline" xmi:id="_Fd7iwLHQEeS0dumc9hw2vw" name="LifelineMaterialSupplier" represents="_LGETMLEQEeSnYZTmeJXZKg" coveredBy="_Syi3kM1oEeSGIJvkDQlGlw _jeTfsM1nEeSGIJvkDQlGlw _Syi3kc1oEeSGIJvkDQlGlw _jeTfsc1nEeSGIJvkDQlGlw"/>
+      <lifeline xmi:type="uml:Lifeline" xmi:id="_M52hwLHQEeS0dumc9hw2vw" name="LifelineTransport" represents="_944gMLEPEeSnYZTmeJXZKg" coveredBy="_x1WL0M1pEeSGIJvkDQlGlw _x1WL0c1pEeSGIJvkDQlGlw _2ia-8M1pEeSGIJvkDQlGlw _2ia-8c1pEeSGIJvkDQlGlw _u4tbkM1pEeSGIJvkDQlGlw _jeTfsM1nEeSGIJvkDQlGlw _u4tbkc1pEeSGIJvkDQlGlw _jeTfsc1nEeSGIJvkDQlGlw"/>
+      <lifeline xmi:type="uml:Lifeline" xmi:id="_a8dFUM1lEeSGIJvkDQlGlw" name="LifelineWarehouse" represents="_QSCo0LEQEeSnYZTmeJXZKg" coveredBy="_x1WL0M1pEeSGIJvkDQlGlw _x1WL0c1pEeSGIJvkDQlGlw _Syi3kM1oEeSGIJvkDQlGlw _u4tbkM1pEeSGIJvkDQlGlw _jeTfsM1nEeSGIJvkDQlGlw _Syi3kc1oEeSGIJvkDQlGlw _u4tbkc1pEeSGIJvkDQlGlw _jeTfsc1nEeSGIJvkDQlGlw"/>
+      <lifeline xmi:type="uml:Lifeline" xmi:id="_q_-MQM1lEeSGIJvkDQlGlw" name="LifelinePointOfSale" represents="_UXyBELEOEeSnYZTmeJXZKg" coveredBy="_2ia-8M1pEeSGIJvkDQlGlw _2ia-8c1pEeSGIJvkDQlGlw _u4tbkM1pEeSGIJvkDQlGlw _jeTfsM1nEeSGIJvkDQlGlw _u4tbkc1pEeSGIJvkDQlGlw _jeTfsc1nEeSGIJvkDQlGlw"/>
+      <message xmi:type="uml:Message" xmi:id="_6TG_IM1lEeSGIJvkDQlGlw" name="1:MessageOrderRequest" connector="_ZMBvALEVEeSnYZTmeJXZKg" messageSort="asynchCall" receiveEvent="_6TG_Is1lEeSGIJvkDQlGlw" sendEvent="_6TG_Ic1lEeSGIJvkDQlGlw" signature="_JZ_p0MGhEeSgpOzAzVFJPA"/>
+      <message xmi:type="uml:Message" xmi:id="_GQNN0M1nEeSGIJvkDQlGlw" name="2:MessageOrderConfirmation" messageSort="asynchCall" receiveEvent="_GQNN0s1nEeSGIJvkDQlGlw" sendEvent="_GQNN0c1nEeSGIJvkDQlGlw" signature="_NrKC8LEMEeSnYZTmeJXZKg"/>
+      <message xmi:type="uml:Message" xmi:id="_LDBAEM1oEeSGIJvkDQlGlw" name="3:MessageInstructionToReceive" messageSort="asynchCall" receiveEvent="_LDBAEs1oEeSGIJvkDQlGlw" sendEvent="_LDBAEc1oEeSGIJvkDQlGlw" signature="_MJZf0LENEeSnYZTmeJXZKg"/>
+      <message xmi:type="uml:Message" xmi:id="_xE1KUM1oEeSGIJvkDQlGlw" name="4:MessageDespatchNotificationInbound" messageSort="asynchCall" receiveEvent="_xE7Q8M1oEeSGIJvkDQlGlw" sendEvent="_xE1KUc1oEeSGIJvkDQlGlw" signature="_59PjkMZkEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_46XjMM1oEeSGIJvkDQlGlw" name="5:MessageReceiptNotificationInbound" messageSort="asynchCall" receiveEvent="_46dp0c1oEeSGIJvkDQlGlw" sendEvent="_46dp0M1oEeSGIJvkDQlGlw" signature="_zLZgsMGgEeSgpOzAzVFJPA"/>
+      <message xmi:type="uml:Message" xmi:id="_Jqt68M1pEeSGIJvkDQlGlw" name="6:MessageTransportInstruction" messageSort="asynchCall" receiveEvent="_Jq6IMM1pEeSGIJvkDQlGlw" sendEvent="_Jqt68c1pEeSGIJvkDQlGlw" signature="_YGXBELENEeSnYZTmeJXZKg"/>
+      <message xmi:type="uml:Message" xmi:id="_Q8ffcM1pEeSGIJvkDQlGlw" name="7:MessageTransportInstructionConfirmation" messageSort="asynchCall" receiveEvent="_Q8ffcs1pEeSGIJvkDQlGlw" sendEvent="_Q8ffcc1pEeSGIJvkDQlGlw" signature="_Nt_OkMGhEeSgpOzAzVFJPA"/>
+      <message xmi:type="uml:Message" xmi:id="_YwWdUM1pEeSGIJvkDQlGlw" name="8:MessageInstructionToDespatch" messageSort="asynchCall" receiveEvent="_YwWdUs1pEeSGIJvkDQlGlw" sendEvent="_YwWdUc1pEeSGIJvkDQlGlw" signature="_NFql8MZlEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_kvbecM1pEeSGIJvkDQlGlw" name="9:MessageInstructionToReceive" messageSort="asynchCall" receiveEvent="_kvhlEM1pEeSGIJvkDQlGlw" sendEvent="_kvbecc1pEeSGIJvkDQlGlw" signature="_0vorsMZjEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_7VaM0M1pEeSGIJvkDQlGlw" name="10:MessagePickUpRequest" messageSort="asynchCall" receiveEvent="_7VaM0s1pEeSGIJvkDQlGlw" sendEvent="_7VaM0c1pEeSGIJvkDQlGlw" signature="_QhrZ0MZlEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_DUBpMM1qEeSGIJvkDQlGlw" name="11:MessagePickUpConfirmation" messageSort="asynchCall" receiveEvent="_DUBpMs1qEeSGIJvkDQlGlw" sendEvent="_DUBpMc1qEeSGIJvkDQlGlw" signature="_OQV-MLENEeSnYZTmeJXZKg"/>
+      <message xmi:type="uml:Message" xmi:id="_PryQEM1qEeSGIJvkDQlGlw" name="12:MessageDropOffRequest" messageSort="asynchCall" receiveEvent="_PryQEs1qEeSGIJvkDQlGlw" sendEvent="_PryQEc1qEeSGIJvkDQlGlw" signature="_5DzPkMZjEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_ZfNR8M1qEeSGIJvkDQlGlw" name="13:MessageDropOffConfirmation" messageSort="asynchCall" receiveEvent="_ZfNR8s1qEeSGIJvkDQlGlw" sendEvent="_ZfNR8c1qEeSGIJvkDQlGlw" signature="_CMyFsLENEeSnYZTmeJXZKg"/>
+      <message xmi:type="uml:Message" xmi:id="_jELBEM1qEeSGIJvkDQlGlw" name="14:MessageDespatchNotificationOutbound" messageSort="asynchCall" receiveEvent="_jELBEs1qEeSGIJvkDQlGlw" sendEvent="_jELBEc1qEeSGIJvkDQlGlw" signature="_FHJUkMGhEeSgpOzAzVFJPA"/>
+      <message xmi:type="uml:Message" xmi:id="_rkjGsM1qEeSGIJvkDQlGlw" name="15:MessageDespatchNotificationInbound" messageSort="asynchCall" receiveEvent="_rkjGss1qEeSGIJvkDQlGlw" sendEvent="_rkjGsc1qEeSGIJvkDQlGlw" signature="_8tvxwMZjEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_0BIRcM1qEeSGIJvkDQlGlw" name="16:MessageReceiptNotificationOutbound" messageSort="asynchCall" receiveEvent="_0BIRcs1qEeSGIJvkDQlGlw" sendEvent="_0BIRcc1qEeSGIJvkDQlGlw" signature="_JqanEMZlEeSM37Q-L6-vug"/>
+      <message xmi:type="uml:Message" xmi:id="_9Aq_UM1qEeSGIJvkDQlGlw" name="17:MessageReceiptNotificationInbound" messageSort="asynchCall" receiveEvent="_9Aq_Us1qEeSGIJvkDQlGlw" sendEvent="_9Aq_Uc1qEeSGIJvkDQlGlw" signature="_zLZgsMGgEeSgpOzAzVFJPA"/>
+      <message xmi:type="uml:Message" xmi:id="_EpFiMM1rEeSGIJvkDQlGlw" name="18:MessageFinalTransportSatusNotification" messageSort="asynchCall" receiveEvent="_EpLo0M1rEeSGIJvkDQlGlw" sendEvent="_EpFiMc1rEeSGIJvkDQlGlw" signature="_Wr1TUMGhEeSgpOzAzVFJPA"/>
+      <message xmi:type="uml:Message" xmi:id="_M29ikM1rEeSGIJvkDQlGlw" name="19:MessageFinalOrderStatusNotification" messageSort="asynchCall" receiveEvent="_M29iks1rEeSGIJvkDQlGlw" sendEvent="_M29ikc1rEeSGIJvkDQlGlw" signature="_vgWjYMZjEeSM37Q-L6-vug"/>
     </packagedElement>
     <packagedElement xmi:type="uml:Actor" xmi:id="_jPjZ8MGeEeSgpOzAzVFJPA" name="MaterialSupplier"/>
@@ -385,4 +484,9 @@
     </packagedElement>
     <packagedElement xmi:type="uml:DataType" xmi:id="_zUagUMZiEeSM37Q-L6-vug" name="OrderResponseMessageType">
+      <ownedRule xmi:type="uml:InteractionConstraint" xmi:id="_jeTfss1nEeSGIJvkDQlGlw" name="isOrderAccepted">
+        <specification xmi:type="uml:LiteralBoolean" xmi:id="_1FA3sM1nEeSGIJvkDQlGlw" name="isOrderAccepted" value="true"/>
+        <maxint xmi:type="uml:LiteralInteger" xmi:id="_jeTftc1nEeSGIJvkDQlGlw" value="1"/>
+        <minint xmi:type="uml:LiteralInteger" xmi:id="_jeTftM1nEeSGIJvkDQlGlw"/>
+      </ownedRule>
       <ownedAttribute xmi:type="uml:Property" xmi:id="_2fZOkMZiEeSM37Q-L6-vug" name="idOrder">
         <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
